loci.formats.in

## Class BDVReader.H5Constants

- java.lang.Object
- - loci.formats.in.BDVReader.H5Constants

- Enclosing class:
    BDVReader

      private class BDVReader.H5Constants
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `BBOX`
    `static java.lang.String` | `CLASS_LABELS`
    `static java.lang.String` | `DEFINITION`
    `static java.lang.String` | `FEATURE`
    `static java.lang.String` | `OBJECT`
    `static java.lang.String` | `PREDICTED_CLASS_LABELS`
    `static java.lang.String` | `SEGMENTATION_PATH`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `H5Constants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SEGMENTATION_PATH

          public static final java.lang.String SEGMENTATION_PATH

      See Also:
        Constant Field Values

    - #### DEFINITION

          public static final java.lang.String DEFINITION

      See Also:
        Constant Field Values

    - #### OBJECT

          public static final java.lang.String OBJECT

      See Also:
        Constant Field Values

    - #### FEATURE

          public static final java.lang.String FEATURE

      See Also:
        Constant Field Values

    - #### BBOX

          public static final java.lang.String BBOX

      See Also:
        Constant Field Values

    - #### CLASS_LABELS

          public static final java.lang.String CLASS_LABELS

      See Also:
        Constant Field Values

    - #### PREDICTED_CLASS_LABELS

          public static final java.lang.String PREDICTED_CLASS_LABELS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### H5Constants

          private H5Constants()

Copyright © 2026 Open Microscopy Environment